function update() {
	mui.getJSON(httpTitle + 'app/getappupdateinfo', {
		"version": plus.runtime.version,
		"terrace": plus.os.name
	}, function(data) {
		if (data.status) {
			plus.nativeUI.confirm(data.note, function(event) {
				if (0 == event.index) {
					if (plus.os.name == "Android") {
						jQuery('#startmengban').show();
						var dtask = plus.downloader.createDownload(data.url, {
							method: "GET"
						});
						dtask.addEventListener("statechanged", function(task, status) {
							switch (task.state) {
								case 1: // 开始
									break;
								case 2: //已连接到服务器
									break;
								case 3: // 已接收到数据
									var current = parseInt(100 * (task.downloadedSize + 0.0) / (task.totalSize + 0.0));
									jQuery('#jindu').html(current + "%");
									break;
								case 4: // 下载完成         
									jQuery('#startmengban').hide();
									plus.runtime.install(plus.io.convertLocalFileSystemURL(task.filename), //安装APP
										{
											force: true
										},
										function() {},
										function() {
											mui.toast('安装失败');
										}
									);
									break;
							}
						});
						dtask.start();
					} else {
						plus.runtime.openURL(data.url);
					}
				}
			}, data.title, ["立即更新", "取　　消"]);
		}
	});
}

mui.plusReady(update);